package wx_token

// WxToken [...]
type WxToken struct {
	AccessToken string `gorm:"column:access_token;type:varchar(512);not null" json:"accessToken"` //  微信token
	ExpiresIn   int64  `gorm:"column:expires_in;type:bigint(20);not null" json:"expiresIn"`       // 过期时间
	ID          int    `gorm:"primaryKey;column:id;type:int(11);not null" json:"-"`               // id
}

// TableName get sql table name.获取数据库表名
func (m *WxToken) TableName() string {
	return "wx_token"
}

// WxTokenColumns get sql column name.获取数据库列名
var WxTokenColumns = struct {
	AccessToken string
	ExpiresIn   string
	ID          string
}{
	AccessToken: "access_token",
	ExpiresIn:   "expires_in",
	ID:          "id",
}
